/* @font-face{
	font-family:Simpl-Mono;
	src:url(../fonts/SimplonMono-Regular.woff)
	format("woff")
}
@font-face{
	font-family:Simpl;
	src:url(../fonts/SimplonNorm-Light-WebXL.woff)
	format("woff")
}
@font-face{
	font-family:Simpl-Regular;
	src:url(../fonts/SimplonNorm-Regular-WebXL.woff)
	format("woff")
} */

* {
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
}

/* MS Edge adds an 'x' to the end of any text box
This 'x' clears the box, but does not trigger any known events
for now, we are hiding the 'x' */
input[type=text]::-ms-clear{
	display:none;
}

html {
	font-size: 100%;
	height: 100%;
	width: 100%;
}

body {
	font-size: 1rem;
	height: 100%;
	width: 100%;
	margin: 0;
	padding: 0;
	/* font-family: Simpl-Regular; */
	overflow-y: hidden;
}
a {
	color: #015cda;
	text-decoration: none;
}
a:hover {
	color: #015cda;
	text-decoration: underline;
	cursor: pointer;
}
a.disabled {
	color: #7b7b7b;
}
a.disabled:hover {
	color: #7b7b7b;
	text-decoration: none;
	cursor: not-allowed;
}

button.link {
  background: none !important;
  border: none;
  padding: 0 !important;
  color: #2581ff;
  text-decoration: none;
	cursor: pointer;
	font-weight: bold;
}
button.link:hover {
	color: #2581ff;
	text-decoration: none;
	cursor: pointer;
}
button.link:focus {
	outline: none;
}
button.link.disabled {
	color: #8fbdff;
	cursor: not-allowed;
}
button.link.disabled:hover {
	cursor: not-allowed;
}

.hover:hover {
	cursor: pointer;
}

.grey {
	color: #7b7b7b !important;
}
.white {
	color: white !important;
}

#root {
	height: 100%;
	width: 100%;
}

#side-bar {
	position: fixed;
	z-index: 300;
	top: 75px;
	bottom: 0;
	left: 0;
	width: 70px;
	margin-top: 0;
	margin-bottom: 0;
	transform: translate3d(0, 0, 0);
	-webkit-transform: translate3d(0, 0, 0);
}
.expand-sidebar #side-bar {
	width: 150px;
}
/* #side-bar.expanded {
	width: 150px;
} */
#side-bar .sidebar-expand-collapse {
	width: 100%;
	height: 26px;
	padding: 3px;
	font-size: 0.75rem;
	cursor: pointer;
}
#side-bar .brand-icon {
	padding: 20px 15px !important;
	display: block;
	font-size: 0.75rem;
	line-height: 1;
	border-bottom: 0;
	text-decoration: none;
}
#side-bar .side-nav {
	text-align: left;
	-webkit-box-orient: vertical !important;
	-webkit-box-direction: normal !important;
	-ms-flex-direction: column !important;
	flex-direction: column !important;
	display: flex;
	padding-left: 0;
	margin-bottom: 0;
	list-style: none;
	margin-top: 0;
}
#side-bar .side-nav li {
	display: block;
	float: none;
	text-align: left;
	box-sizing: inherit;
	line-height: 1.5;
}
#side-bar .side-nav li.logout {
	position: absolute;
	bottom: 0;
	width: 100%;
}
#side-bar .side-nav li a {
	text-align: center;
	padding: 0;
	position: relative;
	font-size: 0.75rem;
	color: inherit;
	border-radius: 0;
	text-decoration: none;
	display: block;
	outline: none;
}

#top-bar {
	position: fixed;
	z-index: 900;
	top: 0;
	left: 0;
	right: 0;
	height: 75px;
	margin-top: 0;
	margin-bottom: 0;
	padding: 10px;
	padding-right: 50px;
	-webkit-transition: width .3s;
	transition: width .3s;
	transform: translate3d(0, 0, 0);
	-webkit-transform: translate3d(0, 0, 0);
}
#top-bar .logo-header {
	position: absolute;
	top: 0px;
	left: 0px;
	width: 150px;
	height: 70px;
	box-sizing: border-box;
	vertical-align: middle;
	display: inline-block;
	background-size: 250px !important;
	background-repeat: no-repeat !important;
	background-position: center !important;
	background: url("../img/Logo.png");
}
#top-bar .page-title {
	margin-left: 200px;
	width: auto;
	display: inline-block;
	margin-top: 10px;
	margin-bottom: 0px;
}

.loading-modal {
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: 10000;
  background-color: rgba(0, 0, 0, 0.5);
}

.loading {
 background-image: url('../img/spinning_blue_cinderblock_smooth_z.gif');
 background-size: 200px;
 /* background-color: white; */
 position: absolute;
 height: 200px;
 width: 200px;
 top: 30%;
 left: 42%
}


.widget {
	position: relative;
	margin-bottom: 30px;
}
.flex-row .widget {
	min-width: 16.67%;
}
.widget.clickable {
	cursor: pointer;
}
.widget.clickable:hover {
	margin: 2px -2px 28px 2px;
}
.widget h1, .widget h2, .widget h3, .widget h4, .widget h5, .widget h6 {
	margin: 0;
	padding: 5px;
}
.widget .icon {
	width: 60px;
	height: 60px;
	padding: 0;
	margin: 10px;
}
.widget .footer-pad {
	padding: 15px 0;
}
.widget .footer {
	font-weight: bold;
	padding: 10px 0 0 10px;
	margin: 0;
	position: absolute;
	bottom: 0;
	left: 0;
}

.widget table.vertical {
	border-collapse: collapse;
	table-layout: auto;
}
.widget table.vertical td, .widget table.vertical th {
	border: 1px solid;
	padding: 0.35rem;
}
.widget table.vertical tr:first-child th, .widget table.vertical tr:first-child td {
	border-top: 0;
}
.widget table.vertical tr:last-child th, .widget table.vertical tr:last-child td {
	border-bottom: 0;
}
.widget table.vertical tr th:first-child, .widget table.vertical tr td:first-child {
	border-left: 0;
}
.widget table.vertical tr th:last-child, .widget table.vertical tr td:last-child {
	border-right: 0;
}



.agrDetails th {
	text-align: left; 
}

#body {
	position: absolute;
	top: 75px;
	left: 0;
	right: 0;
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

#body.no-scroll {
	bottom: 0;
}

.tab {
	padding: .5rem 1.5rem !important;
	cursor: pointer;
}

.expand-sidebar #body {
	left: 150px;
}

.expand-collapse {
	width: 50px;
	height: 50px;
	padding: 0;
	margin: 0 10px;
	float: right;
	cursor: pointer;
}

.collpased-content {
	width: 10%;
	margin-left: 45%;
	padding: 0.25rem 0.5rem;
	vertical-align: middle;
	display: inline-block;
	text-align: center;
}
.collpased-content img {
	width: 100px;
	height: 30px;
	text-align: center;
}

.add-hover:hover {
	cursor: pointer;
}
.add-hover.disabled:hover {
	cursor: not-allowed;
}

.border-top {
	border-top-width: 1px;
	border-top-style: solid;
}

.border-bottom {
	border-bottom-width: 1px;
	border-bottom-style: solid;
}

.no-padding {
	padding: 0 !important;
}

.no-margin {
	margin: 0;
}

.wide {
	width: 100%;
	margin: 0;
	padding: 0;
}

.cell {
	width: 25%;
	display: block;
	padding: 6px;
}
.cell.cell-2 {
	width: 2%;
}
.cell.cell-5 {
	width: 5%;
}
.cell.cell-10 {
	width: 10%;
}
.cell.cell-15 {
	width: 15%;
}
.cell.cell-17 {
	width: 17%;
}
.cell.cell-20 {
	width: 20%;
}
.cell.cell-30 {
	width: 30%;
}
.cell.cell-33 {
	width: 33%;
}
.cell.cell-40 {
	width: 40%;
}
.cell.cell-45 {
	width: 45%;
}
.cell.cell-50 {
	width: 50%;
}
.cell.cell-60 {
	width: 60%;
}
.cell.cell-66 {
	width: 66%;
}
.cell.cell-70 {
	width: 70%;
}
.cell.cell-75 {
	width: 75%;
}
.cell.cell-80 {
	width: 80%;
}
.cell.cell-90 {
	width: 90%;
}
.cell.cell-100 {
	width: 100%;
}
.cell.cell-expand {
	width: auto;
	flex-grow: 100;
}
.cell.cell-auto {
	width: auto;
}
.cell.cell-grow {
	width: auto;
	flex: 1 1 0;
}

.cell-v {
	height: 25%;
	display: block;
	padding: 6px;
}
.cell-5-v {
	height: 5%;
}
.cell-10-v {
	height: 10%;
}
.cell-20-v {
	height: 20%;
}
.cell-20-v-m {
	height: auto;
	max-height: 20%;
}
.cell-30-v {
	height: 30%;
}
.cell-33-v {
	height: 33%;
}
.cell-40-v {
	height: 40%;
}
.cell-50-v {
	height: 50%;
}
.cell-60-v {
	height: 60%;
}
.cell-66-v {
	height: 66%;
}
.cell-70-v {
	height: 70%;
}
.cell-80-v {
	height: 80%;
}
.cell-90-v {
	height: 90%;
}
.cell-95-v {
	height: 95%;
}
.cell-v.cell-auto-v {
	height: auto;
}
.cell-v.cell-expand-v {
	height: auto;
	flex-grow: 100;
	min-height: 0;
}
.cell-v.cell-grow-v {
	height: auto;
	flex: 1 1 0;
}

.flex-row {
	display: flex;
	border-collapse: separate;
	border-spacing: 0;
	margin: 0;
	padding: 3px;
	flex-direction: row;
	width: 100%;
}
.flex-row-v {
	display: flex;
	border-collapse: separate;
	border-spacing: 0;
	margin: 0;
	padding: 3px;
	flex-direction: column;
	height: 100%;
}

.flex-row.center, .flex-row-v.center {
	justify-content: center;
}
.flex-row.space-around, .flex-row-v.space-around {
	justify-content: space-around;
}
.flex-row.space-between, .flex-row-v.space-between {
	justify-content: space-between;
}

.container {
	width: 100%;
	height: 100%;
	max-width: 100%;
	max-height: 100%;
	padding: 0;
	margin: 0;
	border: 0;
	position: relative;
}

.blue-text {
	color: #1997c6 !important;
}
.red-text {
	color: #E64759 !important;
}
.red-hover:hover {
	color: #E64759 !important;
}
.green-text {
	color: #1BC98E !important;
}
.green-text:hover {
 color: #159c6e !important;
}

.strike {
	text-decoration: line-through;
}

.header {
	margin-bottom: 15px;
	margin-top: 0;
	font-size: 1.5rem;
	font-weight: 300;
	line-height: 1.1;
}
.header.distributions {
	padding-left: 70px;
	text-align: center;
	margin-top: 4rem;
}

table {
	height: auto;
	width: 100%;
	max-width: 100%;
	padding-bottom: 10px;
	border-collapse: collapse;
	background-color: transparent;
	border-spacing: 2px;
	border-color: grey;
	/* table-layout: fixed; */
}
th {
	font-weight: 700;
	font-size: 1.05rem;
	border-bottom: 1px solid;
	border-top: 1px solid;
	padding: 0.5rem;
	text-align: center;
}
table td {
	font-size: 1rem;
	padding: 0.5rem;
	vertical-align: top;
	border-top: 1px solid;
	border-bottom: 1px solid;
	text-align: left;
	box-sizing: inherit;
	border-collapse: collapse;
	word-wrap: break-word;
}
table.centered td {
	text-align: center;
}

table.bordered {
	border: 1px solid;
}
table.bordered th, table.bordered td {
	border: 1px solid;
}

table.align-left tr th, table.align-left tr td {
	text-align: left;
}
tr.align-left th, tr.align-left td {
	text-align: left;
}
thead.align-left th {
	text-align: left;
}
tbody.align-left th, tbody.align-left td {
	text-align: left;
}
tr.align-right th, tr.align-right td {
	text-align: right;
}
thead.align-right th {
	text-align: right;
}
tbody.align-right th, tbody.align-right td {
	text-align: right;
}

.thin-table th, .thin-table td {
	padding: 4px;
}


/* .scrollable-table thead {
	display: block;
} */
div.scrollable-table {
	overflow-y: auto;
}
div.scrollable-table table thead {
	position: sticky;
	top: -6px;
}
div.scrollable-table table thead tr th {
	position: sticky;
	top: -6px;
}
div.scrollable-table table tbody {
	width: 100%;
	/* overflow-y: auto;
	display: block; */
}

input.text-input, textarea.text-input {
	padding: 0.5rem 0.75rem;
	line-height: 1.25;
	background-image: none;
	background-clip: padding-box;
	border: 1px solid !important;
	/* border-radius: 0.25rem !important; */
	transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
	padding-left: 10px;
	box-shadow: none;
	display: block;
	width: 100%;
	font-weight: normal;
}
input.text-input:focus, textarea.text-input:focus {
	outline: none;
}

select.select-input {
	box-shadow: none;
	display: block;
	width: 100%;
	padding: 0.25rem 0.75rem;
	font-size: 0.9rem;
	line-height: 1.25;
	background-image: none;
	background-clip: padding-box;
	border: 1px solid !important;
	-webkit-transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
	transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
}
select.select-input:hover {
	cursor: pointer;
}

.toggle-layer-btn {
	background-color:#ffffff;
	border-radius: 0 !important;
	padding: 3px !important;
	position: absolute;
	top: 80px;
	right: 50px;
	z-index: 500;
}
.center-map-btn {
	background-color:#ffffff;
	border-radius: 0 !important;
	padding: 3px !important;
	position: absolute;
	top: 110px;
	right: 50px;
	z-index: 500;
}
.import-shp-btn {
	background-color:#ffffff;
	border-radius: 10% !important;
	padding: 3px !important;
	position: absolute;
	top: 130px;
	left: 12px;
	z-index: 500;
}

.color-picker {
	position: relative;
	display: inline-block;
	padding: 0;
	margin: 0;
}
.color-picker .color-color {
	width: 36px;
	height: 14px;
	border-radius: 2px;
}
.color-picker .color-swatch {
	/* padding: 5px; */
	background: "#fff";
	border-radius: 1px;
	box-shadow: 0 0 0 1px rgba(0,0,0,.1);
	display: inline-block;
	cursor: pointer;
}
.color-picker .color-popover {
	position: absolute;
	left: -200px;
	top: 0;
	z-index: 900;
}
.color-picker .color-cover {
	position: fixed;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
}


.react-autosuggest__container {
  position: relative;
  /* margin-bottom: 200px; */
}

.react-autosuggest__input {
  width: 240px;
  height: 30px;
  padding: 10px 20px;
  font-family: Helvetica, sans-serif;
  font-weight: 300;
  font-size: 16px;
  border: 1px solid #aaa;
  border-radius: 4px;
}

.react-autosuggest__input--focused {
  outline: none;
}

.react-autosuggest__input--open {
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
}

.react-autosuggest__suggestions-container {
  display: none;
}

.react-autosuggest__suggestions-container--open {
  display: block;
  position: absolute;
  top: 35px;
  width: 280px;
  border: 1px solid #aaa;
  background-color: #fff;
  font-family: Helvetica, sans-serif;
  font-weight: 300;
  font-size: 16px;
  border-bottom-left-radius: 4px;
  border-bottom-right-radius: 4px;
  z-index: 2;
}

.react-autosuggest__suggestions-list {
  margin: 0;
  padding: 0;
  list-style-type: none;
}

.react-autosuggest__suggestion {
  cursor: pointer;
  padding: 10px 20px;
}

.react-autosuggest__suggestion--highlighted {
  background-color: #ddd;
}


.custom-progress-bar {
	display: inline-block;
	width: calc(100% - 25px);
	background-color: #000000;
}

.custom-calendar .react-date-picker__calendar {
	z-index: 100
}

.custom-calender {
	border: 1px solid !important;
	/* border-radius: 0.25rem !important; */
}
.custom-calender .react-date-picker__button {
	border: none;
}
.custom-calender .react-calendar {
	color: #333 !important;
}
.custom-calender .react-calendar__tile.react-calendar__month-view__days__day.react-calendar__month-view__days__day--neighboringMonth {
	color: #969696 !important;
}
.custom-calender .react-calendar__tile.react-calendar__month-view__days__day.react-calendar__month-view__days__day--weekend {
	color: red !important;
}

.custom-calender.left .react-date-picker__calendar.react-date-picker__calendar--open {
	left: auto;
	right: 0;
}

.custom-scrollbar {
	overflow: auto;
}
/* .custom-scrollbar::-webkit-scrollbar-track
{
  border: 2px solid;
}

.custom-scrollbar::-webkit-scrollbar
{
	width: 10px;
}

.custom-scrollbar::-webkit-scrollbar-thumb
{
	border: 2px solid;
} */

ul.block-list {
	height: 100%;
	overflow-y: auto;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;
	padding-left: 0;
	margin-bottom: 0;
	margin-top: 0;
}
ul.block-list li {
	position: relative;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-ms-flex-flow: row wrap;
	flex-flow: row wrap;
	-webkit-box-align: center;
	-ms-flex-align: center;
	align-items: center;
	padding: 0.5rem 1.25rem;
	margin-bottom: -1px;
	background-color: transparent;
	border: 1px solid;
	box-sizing: inherit;
	transition: background-color .25s ease-out,color .25s ease-out;
	min-height: 38px;
}
ul.block-list li:first-child {
	border-top-right-radius: 0.25rem;
	border-top-left-radius: 0.25rem;
}
ul.block-list li:last-child {
	margin-bottom: 0;
	border-bottom-right-radius: 0.25rem;
	border-bottom-left-radius: 0.25rem;
}
ul.block-list li.selected, ul.block-list li:hover {
	cursor: pointer;
}

.sort-down, .sort-up {
	white-space: nowrap;
	cursor: pointer;
	font-weight: 700 !important;
}
.sort-up>span:first-child:after {
	border-bottom: 5px solid;
}
.sort-down>span:first-child:after {
	border-top: 5px solid;
}
.sort-down>span:first-child:after, .sort-up>span:first-child:after {
	display: inline-block;
	width: 0;
	height: 0;
	content: "";
	margin-right: -10px;
	margin-bottom: 2px;
	margin-left: 5px;
	border-right: 5px solid transparent;
	border-left: 5px solid transparent;
}

.custom-splitter-v {
	/* padding-right: 40px; */
	/* max-height: 100%;
	max-width: 100%;
	height: inherit !important;
	width: inherit !important; */
}
.custom-splitter > .layout-pane, .custom-splitter-v > .layout-pane {
	overflow: hidden !important;
}
.custom-splitter-v>.layout-pane {
	padding: 0;
}
/* .custom-splitter>.layout-pane {
	padding: 5px 10px;
} */
.custom-splitter > .layout-splitter {
	width: 0 !important;
	padding: 0 5px;
	position: relative;
	z-index: 100;
	margin: 0;
}
.custom-splitter > .layout-splitter:hover, .custom-splitter-v > .layout-splitter:hover {
	background-color: #6f6f6f;
}
.custom-splitter-v > .layout-splitter {
	height: 0 !important;
	width: 100%;
	padding: 5px 0;
	position: relative;
	top: 0;
	z-index: 100;
}
.custom-splitter-v>.layout-pane-primary {
	height: 50%;
}

.swap-panes-btn {
	position: absolute;
	right: 0px;
	z-index: 100;
}
.swap-panes-btn.top {
	top: 50px;
}
.swap-panes-btn.mid {
	top: 49%;
}
.swap-panes-btn.bot {
	bottom: 50px;
}

.createBtn {
	display: inline-block;
	font-weight: bold;
	color:#DCDCDC;
	width: 200px;
	position: absolute;
	bottom: 5%;
	left: 27%;
	padding: 2px 5px 2px 5px;
	text-align: center;
	border-radius: 20px;
}

.createBtn:hover {
	background-color: #4169e1;
	cursor: pointer
}

.btn {
	display: inline-block;
	font-weight: normal;
	line-height: 1.25;
	text-align: center;
	white-space: nowrap;
	vertical-align: middle;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	border: 1px solid transparent;
	font-size: 0.9rem;
	border-radius: 0.25rem;
	-webkit-transition: all 0.2s ease-in-out;
	transition: all 0.2s ease-in-out;
	padding: 0;
	text-transform: none;
	letter-spacing: normal;
	box-sizing: border-box;
}
.btn:hover {
	cursor: pointer;
}

.btn.btn-main {
	padding: 10px;
	color: #333;
	background-color: #ffffff;
	border-color: #ccc;
}
.btn.btn-main:focus, .btn.btn-main:hover {
	text-decoration: none;
}
.btn.btn-main:hover {
	color: #333;
	background-color: #e6e6e6;
	border-color: #adadad;
}
.btn.btn-main.disabled:hover {
	color: #333;
	background-color: #ffffff;
	border-color: #ccc;
}

.btn.btn-block {
	padding: 0.75rem 1.5rem;
	font-size: 1.25rem;
	border-radius: 0.3rem;
}

.btn.btn-red {
	color: #fff;
	background-color: rgb(187, 28, 47);
	border-color: #E64759;
}
.btn.btn-red:hover, .btn.btn-red:focus {
	color: #fff;
	background-color: #dc1e33;
	border-color: #d31d31;
}
.btn.btn-red.disabled, .btn.btn-red.disabled:hover, .btn.btn-red.disabled:focus {
	color: #ffffff;
	border-color: #434857;
	background-color: #434857;
	border: 0;
	box-shadow: none;
	outline: none;
}

.btn.btn-green {
	color: #fff;
	background-color: #1BC98E;
	border-color: #1BC98E;
}
.btn.btn-green:hover, .btn.btn-green:focus {
	color: #fff;
	background-color: #159c6e;
	border-color: #149368;
}
.btn.btn-green.disabled, .btn.btn-green.disabled:hover, .btn.btn-green.disabled:focus {
	color: #ffffff;
	border-color: #434857;
	background-color: #434857;
	border: 0;
	box-shadow: none;
	outline: none;
}

.btn.btn-outline {
	padding: 0.25rem 0.5rem;
	background: #ffffff;
}
.btn.btn-outline:hover {
	background: #eeeeee;
	margin: 1px -1px -1px 1px;
}

.btn.btn-outline.blue {
	color: #1997c6;
	background-image: none;
	background-color: transparent;
	border-color: #1997c6;
}
.btn.btn-outline.blue:hover {
	text-decoration: none;
	color: #fff;
	background-color: #1997c6;
	border-color: #1997c6;
}

.btn.btn-outline.green {
	color: #1BC98E;
	background-image: none;
	background-color: transparent;
	border-color: #1BC98E;
}
.btn.btn-outline.green:hover {
	text-decoration: none;
	color: #fff;
	background-color: #1BC98E;
	border-color: #1BC98E;
}

.btn.btn-outline.yellow {
	color: #E4D836;
	background-image: none;
	background-color: transparent;
	border-color: #E4D836;
}
.btn.btn-outline.yellow:hover {
	text-decoration: none;
	color: #fff;
	background-color: #E4D836;
	border-color: #E4D836;
}

.btn.btn-outline.red {
	color: #E64759;
	background-image: none;
	background-color: transparent;
	border-color: #E64759;
}
.btn.btn-outline.red:hover {
	text-decoration: none;
	color: #fff;
	background-color: #E64759;
	border-color: #E64759;
}

.btn.btn-outline.disabled {
	color: #cfd2da;
	border-color: #cfd2da;
	background-color: transparent;
	box-shadow: none;
}
.btn.btn-outline.disabled:hover {
	color: #cfd2da;
	border-color: #cfd2da;
	background-color: transparent;
	box-shadow: none;
}

.btn.disabled:hover, .btn.disabled:focus {
	text-decoration: none;
}
.btn.disabled:hover {
	cursor: not-allowed;
}

.has-title:after {
	display: none;
	text-align: center;
	border-radius: 6px;
	padding: 5px 5px;
	font-size: 1rem;
	position: absolute;
	top: 0px;
	right: 105%;
	z-index: 600;
	content: attr(data-title);
}
.has-title.right:after {
	right: auto;
	left: 105%;
}
.has-title:hover:after { display: block; }

.leaf-esri-map {
	width: 100%;
	height: 100%;
	position: relative;
	z-index: 50;
	display: block;
	box-sizing: border-box;
}

.map-tiles-select {
	position: absolute;
	top: 50px;
	right: 50px;
	z-index: 500;
}

span.overlay {
	position: absolute;
	left: 0;
	bottom: 0;
	white-space: pre-wrap;
	z-index: 500;
	background-color: rgb(211, 211, 211);
	opacity: 0.9;
	font-size: 1.1rem;
	color: #000000;
	padding: 0 5px;
}

.top-right {
	position: absolute;
	top: 0;
	right: 0;
}

.info {
	width: 15px;
	height: 15px;
	padding: 0;
	box-sizing: border-box;
	vertical-align: middle;
	background-size: 15px !important;
	background-repeat: no-repeat !important;
	background-position: center !important;
	background: url("../img/info-blue.svg");
}

.nav span.text {
	display: inline-block;
	padding: 20px 5px 20px 0;
}
.nav span.image {
	width: 70px;
	height: 60px;
	padding: 15px;
	box-sizing: border-box;
	vertical-align: middle;
	float: left;
	background-size: 35px !important;
	background-repeat: no-repeat !important;
	background-position: center !important;
}
.expand-sidebar .nav span.image {
	padding: 15px 5px;
	width: 50px;
}

.nav.nav-survey span.image {
	background: url("../img/primary/survey-grey.svg");
}
.nav.nav-survey:hover span.image {
	background: url("../img/primary/survey-green.svg");
}
.nav.nav-product span.image {
	background: url("../img/primary/product-grey.svg");
}
.nav.nav-product:hover span.image {
	background: url("../img/primary/product-blue.svg");
}
.nav.nav-job span.image {
	background: url("../img/primary/job-grey.svg");
}
.nav.nav-job:hover span.image {
	background: url("../img/primary/job-purple.svg");
}
.nav.nav-company span.image {
	background: url("../img/primary/company-grey.svg");
}
.nav.nav-company:hover span.image {
	background: url("../img/primary/company-yellow.svg");
}
.nav.nav-tritonview span.image {
	background: url("../img/Triton_symbol_grey.png");
}
.nav.nav-tritonview:hover span.image {
	background: url("../img/Triton_symbol_primary.png");
}
.nav.nav-download span.image {
	background: url("../img/primary/download-grey.svg");
}
.nav.nav-download:hover span.image {
	background: url("../img/primary/download-green.svg");
}
.nav.nav-overview span.image {
	background: url("../img/primary/overview-grey.svg");
}
.nav.nav-overview:hover span.image {
	background: url("../img/primary/overview-red.svg");
}
.nav.nav-issue span.image {
	background: url("../img/primary/issue-grey.svg");
}
.nav.nav-issue:hover span.image {
	background: url("../img/primary/issue-blue.svg");
}
.nav.nav-admin span.image {
	background: url("../img/primary/admin-grey.svg");
}
.nav.nav-admin:hover span.image {
	background: url("../img/primary/admin-orange.svg");
}
.nav.nav-billing span.image {
	background: url("../img/primary/billing-grey.svg");
}
.nav.nav-billing:hover span.image {
	background: url("../img/primary/billing-green.svg");
}
.nav-staging span.image {
	background: url("../img/primary/download-grey.svg");
}
.nav-staging:hover span.image {
	background: url("../img/primary/download-green.svg");
}
.nav.nav-health span.image {
	background: url("../img/primary/health-grey.svg");
}
.nav.nav-health:hover span.image {
	background: url("../img/primary/health-red.svg");
}

.nav.nav-logout span.image {
	background: url("../img/logout.svg");
	background-size: 40px !important;
	height: 78px;
}
.nav.nav-logout:hover span.image {
	background: url("../img/logout-blue.svg");
}

.icon {
	width: 20px;
	height: 20px;
	padding: 0.25rem 0.5rem;
	vertical-align: middle;
	display: inline-block;
	background-size: 20px !important;
	background-repeat: no-repeat !important;
	background-position: center !important;
}
.icon.icon-tag {
	background: url("../img/tag-black.svg");
}
.icon.icon-table {
	background: url("../img/list-black.svg");
}
.icon.icon-globe {
	background: url("../img/globe-black.svg");
}
.icon.icon-reverse {
	background: url("../img/swap-black.svg");
}
.icon.icon-x {
	width: 30px;
	height: 30px;
	margin: 0;
	background: url("../img/x-grey.svg");
}
.icon.icon-x:hover {
	background: url("../img/x.svg");
}
.icon.icon-x-grey {
	width: 30px;
	height: 30px;
	margin: 0;
	background: url("../img/x-grey.svg");
}
.icon.icon-x-red {
	width: 30px;
	height: 30px;
	margin: 0;
	background: url("../img/x.svg");
}
.icon.icon-check {
	width: 30px;
	height: 30px;
	margin: 0;
	background: url("../img/check-grey.svg");
}
.icon.icon-check:hover {
	background: url("../img/check-green.svg");
}
.icon.icon-check-grey {
	width: 30px;
	height: 30px;
	margin: 0;
	background: url("../img/check-grey.svg");
}
.icon.icon-check-green {
	width: 30px;
	height: 30px;
	margin: 0;
	background: url("../img/check-green.svg");
}
.icon.icon-check-green.icon-check-green-large, .icon-check.icon-check-large {
	width: 100px;
	height: 100px;
	background-size: 100px !important;
}
.icon.icon-database {
	width: 30px;
	height: 30px;
	margin: 0;
	background: url("../img/database-grey.svg");
}
.icon.icon-database:hover {
	background: url("../img/database-green.svg");
}
.icon.icon-database-grey {
	width: 30px;
	height: 30px;
	margin: 0;
	background: url("../img/database-grey.svg");
}
.icon.icon-database-green {
	width: 30px;
	height: 30px;
	margin: 0;
	background: url("../img/database-green.svg");
}
.icon.icon-database-yellow {
	width: 30px;
	height: 30px;
	margin: 0;
	background: url("../img/database-yellow.svg");
}
.icon.icon-database-red {
	width: 30px;
	height: 30px;
	margin: 0;
	background: url("../img/database-red.svg");
}
.icon.icon-database-green.icon-database-large, .icon.icon-database-yellow.icon-database-large, .icon.icon-database-red.icon-database-large, .icon-database.icon-database-large {
	width: 100px;
	height: 100px;
	background-size: 100px !important;
}

.icon.icon-add {
	width: 30px;
	height: 30px;
	background-size: 30px !important;
	background: url("../img/add-grey-circle.svg");
}
.icon.icon.icon-add:hover {
	background: url("../img/add-green-circle.svg");
}
.icon.icon-add.disabled, .icon.icon-add.disabled:hover {
	background: url("../img/add-disabled.svg");
}

.img {
	width: 300px;
	height: 300px;
	padding: 0.25rem;
	vertical-align: middle;
	display: inline-block;
	border: none;
	background-size: 300px !important;
	background-repeat: no-repeat !important;
	background-position: center !important;
}
.img.error-img {
	width: 100px;
	height: 100px;
	background-size: 100px !important;
	background:url("../img/error-grey.svg");
}
.img.error-img:hover {
	background:url("../img/error-red.svg");
}
.img.error-red-img {
	width: 100px;
	height: 100px;
	background-size: 100px !important;
	background:url("../img/error-red.svg");
}
.img.warning-img {
	width: 100px;
	height: 100px;
	background-size: 100px !important;
	background:url("../img/warning-grey.svg");
}
.img.warning-img:hover {
	background:url("../img/warning-yellow.svg");
}
.img.warning-yellow-img {
	width: 100px;
	height: 100px;
	background-size: 100px !important;
	background:url("../img/warning-yellow.svg");
}
.img.calendar-blue-img {
	width: 100px;
	height: 100px;
	background-size: 100px !important;
	background:url("../img/calendar-blue.svg");
}
.img.key-img {
	height: 0px;
	width: 0px;
	padding: 10px;
	background-size: 20px !important;
	background:url("../img/key-grey.svg");
}
.img.key-img:hover {
	background:url("../img/key-white.svg");
}
.img.x-img {
	height: 0px;
	width: 0px;
	padding: 10px;
	background-size: 20px !important;
	background:url("../img/x-grey.svg");
}
.img.x-img:hover {
	background:url("../img/x.svg");
}
.img.x-img-black {
	height: 0px;
	width: 0px;
	padding: 10px;
	background-size: 20px !important;
	background:url("../img/x-black.svg");
}
.img.x-img-black:hover {
	background:url("../img/x.svg");
}
.img.arrow-open	{
	height: 0px;
	width: 0px;
	padding: 10px;
	background-size: 20px !important;
	background: url("../img/arrow-open.svg");
}
.img.arrow-closed	{
	height: 0px;
	width: 0px;
	padding: 10px;
	background-size: 20px !important;
	background: url("../img/arrow-closed.svg");
}
.img.eye-blue	{
	height: 0px;
	width: 0px;
	padding: 15px;
	background-size: 30px !important;
	background: url("../img/eye-blue.svg");
}
.img.eye-green	{
	height: 0px;
	width: 0px;
	padding: 15px;
	background-size: 30px !important;
	background: url("../img/eye-green.svg");
}

.img.cart-img span {
	height: 0px;
	width: 0px;
	padding: 10px;
	background-size: 20px !important;
	background:url("../img/cart-grey.svg");
}
.img.cart-img:hover span {
	background:url("../img/cart-white.svg");
}
.img.cart-img a {
	color: #ffffff;
	text-decoration: underline;
}

.img.tds-load {
	height: 0;
	width: 0;
	padding: 15px;
	background-size: 30px !important;
	background: url('../img/triton-loading.gif');
}

a.admin-link {
	text-align: center;
}
a.admin-link:hover {
	text-decoration: none;
}

.title {
	margin-bottom: 0.5rem;
	font-family: inherit;
	font-weight: 300;
	line-height: 1.1;
}
.title h2 {
	font-size: 2rem;
	font-weight: 300;
	margin: 0;
	-webkit-margin-before: 0;
	-webkit-margin-after: 0;
	-webkit-margin-start: 0px;
	-webkit-margin-end: 0px;
}

.no-margin {
	margin: 0;
	-webkit-margin-before: 0;
	-webkit-margin-after: 0;
	-webkit-margin-start: 0px;
	-webkit-margin-end: 0px;
}

.custom-modal {
	width: 40%;
	margin: 30px auto;
}
.custom-modal .modal-body {
	overflow: auto;
	height: 100%;
	max-height: calc(100vh - 225px);
}
.custom-modal.full .modal-body {
	height: calc(100vh - 225px);
	min-height: calc(100vh - 225px);
}
.custom-modal.em-50 {
	width: 50em;
}
.custom-modal.custom-modal-70 {
	width: 70%;
}

.custom-modal.tight {
	width: auto;
}

.checkbox-label {
	cursor: pointer;
}

div.navigation  {
	display: inline-block;
	padding: 10px 0;
	border-bottom: 4px solid transparent;
}
div.navigation:hover {
	cursor: pointer;
}

div.navigation h4 {
	font-weight: 300;
}

div.navigation.active {
	font-weight: 500 !important;
}

div.navigation.active h4 {
	font-weight: 500;
}

.stats {
	text-align: center;
	letter-spacing: 0.15em;
	color: #a9aebd;
	text-transform: uppercase;
	font-size: 0.8rem;
}
.stats .header {
	margin-bottom: 0;
	padding-bottom: 0;
}

.chartjs-render-monitor{
	width: 100%;
	height: 100%;
}

.dropdown-btn>div.dropdown {
	width: 74px;
	position: absolute;
}
.dropdown-btn button {
	width: 100%;
	position: absolute;
	border-radius: 0;
	background-color: #424445;
	color: #FFF;
}
.dropdown-btn button:hover {
	background-color: #979797;
}

.subset-meta-buttons {
	background: #ebebeb;
	background-image: -webkit-linear-gradient(top, #ebebeb, #a3a3a3);
	background-image: -moz-linear-gradient(top, #ebebeb, #a3a3a3);
	background-image: -ms-linear-gradient(top, #ebebeb, #a3a3a3);
	background-image: -o-linear-gradient(top, #ebebeb, #a3a3a3);
	background-image: linear-gradient(to bottom, #ebebeb, #a3a3a3);
	/* -webkit-border-radius: 5;
	-moz-border-radius: 5;
	border-radius: 5px; */
	font-family: Arial;
	color: #3d3d3d;
	font-size: 14px;
	padding: 2px 5px;
	border: solid #919191 1px;
	text-decoration: none;
	margin-right: 10px;
}

.subset-meta-buttons:hover {
	background: #e6e6e6;
	background-image: -webkit-linear-gradient(top, #e6e6e6, #bdbdbd);
	background-image: -moz-linear-gradient(top, #e6e6e6, #bdbdbd);
	background-image: -ms-linear-gradient(top, #e6e6e6, #bdbdbd);
	background-image: -o-linear-gradient(top, #e6e6e6, #bdbdbd);
	background-image: linear-gradient(to bottom, #e6e6e6, #bdbdbd);
	text-decoration: none;
}

tr.selected {
	background-color: #97ccf5;
	border-color: #97ccf5;
}
tr.selected td {
	border-color: #97ccf5;
}



/*
*	For leaflet-draw...
*/
.leaflet-draw-toolbar a {
	background-image: url('../img/spritesheet.png');
	background-image: linear-gradient(transparent, transparent), url('../img/spritesheet.svg');
	background-repeat: no-repeat;
	background-size: 300px 30px;
	background-clip: padding-box;
}

.leaflet-retina .leaflet-draw-toolbar a {
	background-image: url('../img/spritesheet-2x.png');
	background-image: linear-gradient(transparent, transparent), url('../img/spritesheet.svg');
}

.react-autosuggest__input {
	width: 100% !important;
}



/*
===========================================================
SKYLER CSS
===========================================================
*/


.modal {
	position: fixed;
	background-color: rgba( 0 , 0 , 0, 0.5 );
	/* color: white; */
	z-index: 500;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
	z-index: 10000;
	transition: all 200ms;
	opacity: 1;
	display: block;
}
.modal > .modal-body {
	position: relative;
	height: 50%;
	width: 60%;
	margin: 2.5% auto;
	max-height: 90%;
	background-color: #ffffff;
	padding: 20px;
}
.modal .modal-x {
	position: absolute;
	top: 2px;
	right: 2px;
	margin: 0;
	height: 0px;
	width: 0px;
	padding: 10px;
	background-size: 12px !important;
	background:url("../img/x-grey.svg");
}
.modal .modal-x:hover {
	background:url("../img/x.svg");
}

.sort-table {
	height: 0px;
	width: 0px;
	padding: 10px;
	background-size: 15px !important;
	background:url("../img/sort-grey.svg")
}

.sort-table:hover {
	background:url("../img/sort-white.svg")
}

.dropdown-table {
	height: 0px;
	width: 0px;
	padding: 10px;
	background-size: 15px !important;
	background: url("../img/dropdown-grey.svg");
	border: none;
}

.dropdown-table:hover {
	background: url("../img/dropdown-white.svg")
}

.dropdown-table:focus {
	outline: none
}

.agrCreate {
	color: white;
	position: absolute;
	left: 30%;
	top: 30%;
	background-color: #4A4B4B;
	width: 40%;
	height: 40%;
	padding: 10px 2px 15px 15px;
}

.entCreate { 
	height: 95%;
	width: 70%;
	background-color: #4A4B4B;
	position: absolute;
	left: 15%;
	top: 2.5%;
	padding: 30px
}

.entCreate.subset {
 height: 90%;
	width: 90%;
 top: 5%;
 left: 5%;
 padding: 30px;

}

@keyframes change {
 0% {
  height: 95%;
  width: 70%;
 }
 100% {
  height: 90%;
  width: 90%;
 }
}

.product-comp {
	display: none;
	transition: all 200ms;
	height: 0px;
	opacity: 0
}

.product-comp.popped {
	display: table-row;
	opacity: 1
}

.order-display {
	height: 100%;
	width: 100%;
	transition: all 200ms ease-out;
	margin-bottom: 20px
}

.order-display.popped {
	height: 70%
}

.product-modal {
	position: relative;
	height: 33%;
	width: 100%;
 background-color: #4A4B4B;
 margin-top: 15px;
	top: 50%;
	transition: all 200ms ease-out
}

.product-modal.popped { 
 top: 0%;
}

.line-tr:hover {
 background-color:silvers
}

.table-header {
 position: sticky;
 top: 0%
}

#scroll-div{
 scroll-behavior: smooth
}


.entitlement-product-modal {
 position: relative;
	height: 0%;
	width: 100%;
 background-color: #444444;
 margin-top: 10px;
 transition: all 200ms ease-out;
 overflow: hidden;
}

.entitlement-product-modal.popped { 
	height: 60%
}

.order-page-agreements {
 position: fixed; 
 top: 0%; 
 left: 0%; 
 height: 100%; 
 width: 100%; 
 background-color: rgba(0, 0, 0, 0.5); 
 z-index: -10;
 opacity: 0;
 transition: all 200ms ease-in
}

.order-page-agreements.popped {
 opacity: 1;
 z-index: 1000000;
}

.leaflet-tooltip {
	white-space: pre;
	/* background: none; */
	border-color: #00000000;
	box-shadow: none;
	/* color: white;
	-webkit-text-stroke-color: black;
	-webkit-text-stroke-width: 2px; */
}
.labelstyle {
	color: #000000;
	font-size: 14px;
	font-weight: 700;
	/* -webkit-text-stroke-width: 0.1px;
	-webkit-text-stroke-color: white; */
	/* text-shadow:
		2px 2px 0 white
		-2px 2px 0 white
		-2px -2px 0 white
		2px -2px 0 white; */
	background: none;
	border: none;
	box-shadow: none;
	margin: 0px;
	cursor: none;
}

.watermark {
	background-image: url('../img/watermark.png');
	background-size: 200px;
	background-repeat: repeat;
	opacity: 0.5;
}


/* .line-table {
  overflow-y: scroll;
  height: 95% ;
  top: 5px;
  width: 45%;
  left: 5px;
  position: absolute;
  scroll-behavior: smooth;
} */

.line-table::-webkit-scrollbar-track {
  margin: 50px 0 0 0;
}

.chrome-picker input {
	background-color: #ffffff;
}

.leaflet-attribution-flag {
	display: none !important;
}

.center {
	text-align: center;
}
